SproutCore 2.0 on Node
==================================
This module allows SproutCore 2.0 to work in Node.

*NOTE:* This does not include SproutCore code - only what's required to get it working on Node.

You need to download the [SproutCore 2.0](https://github.com/sproutcore/sproutcore) package and put it in your project.

It's been tested with Node v0.5.0

## What it does

### setup()
- Adds 'window' to the global namespace which points at global
- Adds 'ENV' to the global namespace which is { USE_ACCESSORS: true }
 
### require()
- Allows requiring all the SproutCore packages correctly since Node and SproutCore each organise packages differently

## Install

    npm install node-sc-setup

## Example
    //setup sc
    var scsetup = require('node-sc-setup');
    scsetup.setup();

    //require sproutcore packages
    scsetup.require('sproutcore20/sproutcore-metal');
    scsetup.require('sproutcore20/sproutcore-runtime');

    function main() {
       App = SC.Application.create();
    }

    main();
    

You can replace the regular require with the included require and it will try include as a node package then try include it as a sproutcore package

    //setup sc
    var scsetup = require('node-sc-setup');
    var require = scsetup.require;
    scsetup.setup();

    //require sproutcore packages
    require('sproutcore20/sproutcore-metal');
    require('sproutcore20/sproutcore-runtime');

    //require node modules
    var util = require('util');

    function main() {
      App = SC.Application.create();
    }

    main();
